<?php

namespace App\Exceptions;

use Illuminate\Foundation\Exceptions\Handler as ExceptionHandler;
use Illuminate\Support\Facades\Http;
use Throwable;

class Handler extends ExceptionHandler
{
    /**
     * A list of the exception types that are not reported.
     *
     * @var array
     */
    protected $dontReport = [
        //
    ];

    /**
     * A list of the inputs that are never flashed for validation exceptions.
     *
     * @var array
     */
    protected $dontFlash = [
        'password',
        'password_confirmation',
    ];

    /**
     * Register the exception handling callbacks for the application.
     *
     * @return void
     */
    public function register()
    {
        $this->reportable(function (Throwable $e) {
            try {
                
                if(!$e->getMessage()){
                    return;
                }

                if(strtolower($e->getMessage()) == 'not found'){
                    //ignore
                    return;
                }

                $url =   config('stag.backendUrl') . '/dev/reportPhpError';
                $headers['secret'] = 'superman';
                Http::asForm()
                    ->withHeaders($headers)
                    ->post($url, [
                        'data'=>'LHR: '.$e->getMessage().' URL: '.url()->current(),
                        'secret' => 'superman'
                    ])
                    ->json();
            }catch(\Exception $e){
                //do nothing
            }
        });
    }
}
